;;;
;;; 	$Id: ad.asm,v 1.1 2002/11/20 11:26:30 james Exp james $	
;;;
;;;	analog to digital conversion functions
;;; 
	
ad_initialise
	bsf	status,rp0
	clrf	adcon1
	bcf	status,rp0
	movlw	b'11000001'		; select an0 input
	movwf	adcon0			; sample and hold begins
					; caller must allow delay
	return


ad_get					; ( -- low high )
	bcf	pir1,adif		; clear any prior flag
	bsf	adcon0,go		; start conversion

ad_get_loop
	btfss	pir1,adif		; wait for conversion
	goto	ad_get_loop

	bsf	status,rp0		; return result on stack
	pushf	adresl
	bcf	status,rp0
	pushf	adresh
	return
