;;;
;;; us10, delay a number of 10 microsecond cycles
;;;
;;; call stack:	none
;;; data stack: ( cycles -- ) [total 1]
;;; 

us10
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	decfsz	indf,f			; loop until done
	goto	us10
	pop				; drop argument
	return

	
;;;
;;; ms, delay an approximate number of milliseconds
;;;
;;; call stack:	none
;;; data stack: ( milliseconds-- ) [total 1]
;;; 

ms
	pushl	d'100'			; 1000us
	call	us10
	decfsz	indf,f			; loop until done
	goto	ms
	pop				; drop argument
	return


;;;
;;; ds, delay an approximate number of deciseconds
;;;
;;; call stack:	none
;;; data stack: ( deciseconds-- ) [total 1]
;;; 

	ifdef	want_ds
ds
	pushl	d'100'			; 100ms
	call	ms
	decfsz	indf,f			; loop until done
	goto	ds
	pop				; drop argument
	return
	
	endif