pwm_on				; ( period -- )
	bcf	status,c
	rrf	indf,w		; set pwm duty cycle to half given
	movwf	ccpr1l
	
	bsf	status,rp0	; set pwm period to given
	popf	pr2
	bcf	status,rp0

	clrf	tmr2
	
	bsf	t2con,t2ckps1	; set tmr2 prescaler to 16
	
	bsf	t2con,tmr2on	; enable tmr2
	
	movlw	b'00001100'
	movwf	ccp1con		; turn on pwm

	return

pwm_off
	clrf	t2con		; turn off tmr2
	clrf	ccp1con		; turn off pwm
	return
	
	align

pwm_tick			; ( period -- )
	call	pwm_on
	pushl	d'2'
	call	ms
	goto	pwm_off
	
pwm_brief			; ( period -- )
	call	pwm_on
	pushl	d'50'
	call	ms
	goto	pwm_off
	
pwm_long			; ( period -- )
	call	pwm_on
	pushl	d'250'
	call	ms
	goto	pwm_off

pwm_0440	equ	d'141'
pwm_0880	equ	d'70'
pwm_1000	equ	d'61'
pwm_1760	equ	d'34'
pwm_2000	equ	d'30'

pwm_no
	btfss	flag_beeps
	return
	pushl	pwm_1000
	goto	pwm_long
	
pwm_yes
	btfss	flag_beeps
	return
	pushl	pwm_2000
	goto	pwm_long
	
