	nolist

;	ifndef __16f877
;	messg "Um, right processor?"
;	endif

w			     equ     h'0000'
f			     equ     h'0001'

indf			     equ     h'0000'
tmr0			     equ     h'0001'
pcl			     equ     h'0002'
status			     equ     h'0003'
fsr			     equ     h'0004'
porta			     equ     h'0005'
portb			     equ     h'0006'
portc			     equ     h'0007'
portd			     equ     h'0008'
porte			     equ     h'0009'
pclath			     equ     h'000a'
intcon			     equ     h'000b'
pir1			     equ     h'000c'
pir2			     equ     h'000d'
tmr1l			     equ     h'000e'
tmr1h			     equ     h'000f'
t1con			     equ     h'0010'
tmr2			     equ     h'0011'
t2con			     equ     h'0012'
sspbuf			     equ     h'0013'
sspcon			     equ     h'0014'
ccpr1l			     equ     h'0015'
ccpr1h			     equ     h'0016'
ccp1con			     equ     h'0017'
rcsta			     equ     h'0018'
txreg			     equ     h'0019'
rcreg			     equ     h'001a'
ccpr2l			     equ     h'001b'
ccpr2h			     equ     h'001c'
ccp2con			     equ     h'001d'
adresh			     equ     h'001e'
adcon0			     equ     h'001f'

option_reg		     equ     h'0081'
trisa			     equ     h'0085'
trisb			     equ     h'0086'
trisc			     equ     h'0087'
trisd			     equ     h'0088'
trise			     equ     h'0089'
pie1			     equ     h'008c'
pie2			     equ     h'008d'
pcon			     equ     h'008e'
sspcon2			     equ     h'0091'
pr2			     equ     h'0092'
sspadd			     equ     h'0093'
sspstat			     equ     h'0094'
txsta			     equ     h'0098'
spbrg			     equ     h'0099'
adresl			     equ     h'009e'
adcon1			     equ     h'009f'

eedata			     equ     h'010c'
eeadr			     equ     h'010d'
eedath			     equ     h'010e'
eeadrh			     equ     h'010f'

eecon1			     equ     h'018c'
eecon2			     equ     h'018d'

irp			     equ     h'0007'
rp1			     equ     h'0006'
rp0			     equ     h'0005'
not_to			     equ     h'0004'
not_pd			     equ     h'0003'
z			     equ     h'0002'
dc			     equ     h'0001'
c			     equ     h'0000'

gie			     equ     h'0007'
peie			     equ     h'0006'
t0ie			     equ     h'0005'
inte			     equ     h'0004'
rbie			     equ     h'0003'
t0if			     equ     h'0002'
intf			     equ     h'0001'
rbif			     equ     h'0000'

pspif			     equ     h'0007'
adif			     equ     h'0006'
rcif			     equ     h'0005'
txif			     equ     h'0004'
sspif			     equ     h'0003'
ccp1if			     equ     h'0002'
tmr2if			     equ     h'0001'
tmr1if			     equ     h'0000'

eeif			     equ     h'0004'
bclif			     equ     h'0003'
ccp2if			     equ     h'0000'

t1ckps1			     equ     h'0005'
t1ckps0			     equ     h'0004'
t1oscen			     equ     h'0003'
not_t1sync		     equ     h'0002'
t1insync		     equ     h'0002'
tmr1cs			     equ     h'0001'
tmr1on			     equ     h'0000'

toutps3			     equ     h'0006'
toutps2			     equ     h'0005'
toutps1			     equ     h'0004'
toutps0			     equ     h'0003'
tmr2on			     equ     h'0002'
t2ckps1			     equ     h'0001'
t2ckps0			     equ     h'0000'

wcol			     equ     h'0007'
sspov			     equ     h'0006'
sspen			     equ     h'0005'
ckp			     equ     h'0004'
sspm3			     equ     h'0003'
sspm2			     equ     h'0002'
sspm1			     equ     h'0001'
sspm0			     equ     h'0000'

ccp1x			     equ     h'0005'
ccp1y			     equ     h'0004'
ccp1m3			     equ     h'0003'
ccp1m2			     equ     h'0002'
ccp1m1			     equ     h'0001'
ccp1m0			     equ     h'0000'

spen			     equ     h'0007'
rx9			     equ     h'0006'
rc9			     equ     h'0006'
not_rc8			     equ     h'0006'
rc8_9			     equ     h'0006'
sren			     equ     h'0005'
cren			     equ     h'0004'
adden			     equ     h'0003'
ferr			     equ     h'0002'
oerr			     equ     h'0001'
rx9d			     equ     h'0000'
rcd8			     equ     h'0000'

ccp2x			     equ     h'0005'
ccp2y			     equ     h'0004'
ccp2m3			     equ     h'0003'
ccp2m2			     equ     h'0002'
ccp2m1			     equ     h'0001'
ccp2m0			     equ     h'0000'

adcs1			     equ     h'0007'
adcs0			     equ     h'0006'
chs2			     equ     h'0005'
chs1			     equ     h'0004'
chs0			     equ     h'0003'
go			     equ     h'0002'
not_done		     equ     h'0002'
go_done			     equ     h'0002'
chs3			     equ     h'0001'
adon			     equ     h'0000'

not_rbpu		     equ     h'0007'
intedg			     equ     h'0006'
t0cs			     equ     h'0005'
t0se			     equ     h'0004'
psa			     equ     h'0003'
ps2			     equ     h'0002'
ps1			     equ     h'0001'
ps0			     equ     h'0000'

ibf			     equ     h'0007'
obf			     equ     h'0006'
ibov			     equ     h'0005'
pspmode			     equ     h'0004'
trise2			     equ     h'0002'
trise1			     equ     h'0001'
trise0			     equ     h'0000'

pspie			     equ     h'0007'
adie			     equ     h'0006'
rcie			     equ     h'0005'
txie			     equ     h'0004'
sspie			     equ     h'0003'
ccp1ie			     equ     h'0002'
tmr2ie			     equ     h'0001'
tmr1ie			     equ     h'0000'

eeie			     equ     h'0004'
bclie			     equ     h'0003'
ccp2ie			     equ     h'0000'

not_por			     equ     h'0001'
not_bo			     equ     h'0000'
not_bor			     equ     h'0000'

gcen			     equ     h'0007'
ackstat			     equ     h'0006'
ackdt			     equ     h'0005'
acken			     equ     h'0004'
rcen			     equ     h'0003'
pen			     equ     h'0002'
rsen			     equ     h'0001'   
sen			     equ     h'0000'   

smp			     equ     h'0007'
cke			     equ     h'0006'
d			     equ     h'0005'
i2c_data		     equ     h'0005'
not_a			     equ     h'0005'
not_address		     equ     h'0005'
d_a			     equ     h'0005'
data_address		     equ     h'0005'
p			     equ     h'0004'
i2c_stop		     equ     h'0004'
s			     equ     h'0003'
i2c_start		     equ     h'0003'
r			     equ     h'0002'
i2c_read		     equ     h'0002'
not_w			     equ     h'0002'
not_write		     equ     h'0002'
r_w			     equ     h'0002'
read_write		     equ     h'0002'
ua			     equ     h'0001'
bf			     equ     h'0000'

csrc			     equ     h'0007'
tx9			     equ     h'0006'
not_tx8			     equ     h'0006'
tx8_9			     equ     h'0006'
txen			     equ     h'0005'
sync			     equ     h'0004'
brgh			     equ     h'0002'
trmt			     equ     h'0001'
tx9d			     equ     h'0000'
txd8			     equ     h'0000'

adfm			     equ     h'0005'
pcfg3			     equ     h'0003'
pcfg2			     equ     h'0002'
pcfg1			     equ     h'0001'
pcfg0			     equ     h'0000'

eepgd			     equ     h'0007'
wrerr			     equ     h'0003'
wren			     equ     h'0002'
wr			     equ     h'0001'
rd			     equ     h'0000'

	__maxram h'1ff'
	__badram h'8f'-h'90', h'95'-h'97', h'9a'-h'9d'
	__badram h'105', h'107'-h'109'
	__badram h'185', h'187'-h'189', h'18e'-h'18f'

_cp_on		equ	b'00111111001111'
_cp_all		equ	b'00111111001111'
_cp_half	equ	b'01111111011111'
_cp_upper_256	equ	b'10111111101111'
_cp_off		equ	b'11111111111111'
_debug_off	equ	b'11111111111111'
_debug_on	equ	b'11011111111111'
_wrt_enable_off	equ	b'11111111111111'
_wrt_enable_on	equ	b'11110111111111'
_cpd_off	equ	b'11111111111111'
_cpd_on		equ	b'11111011111111'
_lvp_on		equ	b'11111111111111'
_lvp_off	equ	b'11111101111111'
_boden_on	equ	b'11111111111111'
_boden_off	equ	b'11111110111111'
_pwrte_off	equ	b'11111111111111'
_pwrte_on	equ	b'11111111110111'
_wdt_on		equ	b'11111111111111'
_wdt_off	equ	b'11111111111011'
_lp_osc		equ	b'11111111111100'
_xt_osc		equ	b'11111111111101'
_hs_osc		equ	b'11111111111110'
_rc_osc		equ	b'11111111111111'

	list
